package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(seminary):
 */
@XStreamAlias("school")
public class Seminary {

	/**  */
	private Integer schoolId;
	
	/**  */
	private String schoolName;
	
	/**  */
	private Integer level;
	
	/**  */
	private Integer owner;
	
	/**  */
	private Integer province;
	
	/**  */
	private Integer city;
	
	/**  */
	private float longitude;
	
	/**  */
	private float latitude;
	
	/**  */
	private String address;
	
	/**  */
	private Integer branchId;
	
	public void setSchoolId(Integer schoolId){
		this.schoolId = schoolId;
	}
	
	public Integer getSchoolId(){
		return this.schoolId;
	}
			
	public void setSchoolName(String schoolName){
		this.schoolName = schoolName;
	}
	
	public String getSchoolName(){
		return this.schoolName;
	}
			
	public void setLevel(Integer level){
		this.level = level;
	}
	
	public Integer getLevel(){
		return this.level;
	}
			
	public void setOwner(Integer owner){
		this.owner = owner;
	}
	
	public Integer getOwner(){
		return this.owner;
	}
			
	public void setProvince(Integer province){
		this.province = province;
	}
	
	public Integer getProvince(){
		return this.province;
	}
			
	public void setCity(Integer city){
		this.city = city;
	}
	
	public Integer getCity(){
		return this.city;
	}
			
	public void setLongitude(float longitude){
		this.longitude = longitude;
	}
	
	public float getLongitude(){
		return this.longitude;
	}
			
	public void setLatitude(float latitude){
		this.latitude = latitude;
	}
	
	public float getLatitude(){
		return this.latitude;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setBranchId(Integer branchId){
		this.branchId = branchId;
	}
	
	public Integer getBranchId(){
		return this.branchId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
